Reinstall OS for a dedicated server
A POST request sent to /v1/hosts/dedicated_servers/{server_id}/reinstall will initiate a reinstall of an operating system. To specify a server you want, fill its ID in the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Request Body
| Field | Details |
|---|---|
hostname? | stringGive a name to a server. It will be set up on the server's side. The hostname consists of ASCII letters (a to z), digits (0 to 9), delimiter dots (.), and a hyphen (-). A maximum is 253 symbols (15 for Windows OS). Each part divided by a dot can be no longer than 63 symbols. This parameter is optional. If not specified, the current hostname is used. If the current hostname does not comply with the selected OS validation rules, the reinstall request will be declined with an error. |
objectCharacteristics of disk drives. You can find a description of each parameter and specify it when expanding the | |
operating_system_id? | integernullA unique identifier of an operating system. To get a list of available OS, follow to the Operating System section. |
ssh_key_fingerprints? | array<string>Fill this parameter in with a fingerprint to use an SSH key to access the server. This fingerprint has to be already created. Check SSH keys you have, or create a new one in the the relevant section. |
user_data? | stringUser data is the content that will be processed by cloud-init during server's initialization. Paste your file's content in this argument. The first line is significant because it defines a type of data. We recommend you get acquainted with available formats in the cloud-init documentation. User data is available for Linux via cloud-init and for Windows via cloudbase-init. User data formats for cloudbase-init. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/hosts/dedicated_servers/4oeEyWe0/reinstall" \ -H "Content-Type: application/json" \ -d '{ "hostname": "example.aa", "drives": { "layout": [ { "slot_positions": [ 0, 1 ], "raid": 1, "partitions": [ { "target": "/boot", "size": 500, "fill": false, "fs": "ext4" }, { "target": "swap", "size": 4096, "fill": false }, { "target": "/", "size": 10140, "fill": true, "fs": "ext4" } ] } ] }, "operating_system_id": 299, "user_data": "#cloud-config\\ngroups:\\n - ubuntu: [root,sys]" }'{ "id": "4oeEyWe0", "rack_id": "MvbmmObY", "title": "example.aa", "location_id": 1705, "location_code": "location3513", "status": "active", "operational_status": "installation", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.204", "public_ipv4_address": "169.254.0.204", "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "dedicated_server", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": 2, "bandwidth_id": 21, "bandwidth_name": "20000 GB", "server_model_id": 62, "public_uplink_id": 51, "private_uplink_id": 52, "server_model_name": "server-model-693", "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 21, "private_uplink_name": "Private 1 Gbps without redundancy", "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "ipxe_config": null, "userdata_sha256": null, "created_at": "2026-05-28T07:06:11Z", "updated_at": "2026-05-28T07:06:12Z"}